<?php
/**
 * -----------------------------------------------------------------------------
 *
 * SyL - Web Application Framework for PHP
 *
 * PHP version 4 (>= 4.3.x) or 5
 *
 * Copyright (C) 2006-2009 k.watanabe
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -----------------------------------------------------------------------------
 * @package   SyL
 * @author    Koki Watanabe <k.watanabe@syl.jp>
 * @copyright 2006-2009 k.watanabe
 * @license   http://www.opensource.org/licenses/lgpl-license.php
 * @version   CVS: $Id: SyL_ViewJsonp.php,v 1.1 2009/01/11 05:34:30 seasonstream Exp $
 * @link      http://syl.jp/
 * -----------------------------------------------------------------------------
 */

/**
 * JSONPビュークラス
 *
 * @package   SyL
 * @author    Koki Watanabe <k.watanabe@syl.jp>
 * @copyright 2006-2009 k.watanabe
 * @license   http://www.opensource.org/licenses/lgpl-license.php
 * @version   CVS: $Id: SyL_ViewJsonp.php,v 1.1 2009/01/11 05:34:30 seasonstream Exp $
 * @link      http://syl.jp/
 */
class SyL_ViewJsonp extends SyL_View
{
    /**
     * 出力レンダリング実行
     * 
     * @access public
     */
    function render()
    {
        // JSコールバック関数取得
        $callback = $this->data->getJsCallback();
        $values =& $this->getActionValues();
        // アクションパラメータがある場合は、Jsonオブジェクトをセット
        if (!function_exists('json_encode')) {
            include_once SYL_FRAMEWORK_DIR . '/lib/Util/SyL_UtilJson.php';
        }
        if ($this->context->isPost()) {
            // コンテンツタイプをセット
            $this->setContentType('text/html; charset=' . SYL_ENCODE_JS);

            // iframe タグに出力
            if ($callback) {
                $javascript = $callback . '(' . json_encode($values) . ')';
                $javascript = '<html><head><script type="text/javascript">if (parent.window) {parent.window.' . $javascript . ';} else {' . $javascript . ';}</script></head><html>';
            } else {
                $javascript = '<html><head><script type="text/javascript">alert("JSONP callback parameter not found");</script></head><html>';
            }
        } else {
            // コンテンツタイプをセット
            $this->setContentType('application/x-javascript; charset=' . SYL_ENCODE_JS);

            // script タグに出力
            if ($callback) {
                $javascript = $callback . '(' . json_encode($values) . ');';
            } else {
                $javascript = 'alert("JSONP callback parameter not found");';
            }
        }
        // JavaScirpt出力
        $this->setRender($javascript);
    }
}
